package com.ruoyi.nanjing.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 机种类型对象 T_BD_ProductType
 * 
 * @author limy
 * @date 2021-01-22
 */
public class TBdProducttype extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ID;

    /** 机种id */
    @Excel(name = "机种id")
    private String ProductTypeID;

    /** 机种名称 */
    @Excel(name = "机种名称")
    private String ProductTypeName;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setProductTypeID(String ProductTypeID) 
    {
        this.ProductTypeID = ProductTypeID;
    }

    public String getProductTypeID() 
    {
        return ProductTypeID;
    }
    public void setProductTypeName(String ProductTypeName)
    {
        this.ProductTypeName = ProductTypeName;
    }

    public String getProductTypeName()
    {
        return ProductTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("ProductTypeID", getProductTypeID())
            .append("ProductTypeName", getProductTypeName())
            .toString();
    }
}
